<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::table('uploads_sessions', function (Blueprint $table) {
            $table->unsignedTinyInteger('progress')->default(0)->after('ip');
            $table->string('failure_reason', 255)->nullable()->after('progress');
        });
    }

    public function down(): void
    {
        Schema::table('uploads_sessions', function (Blueprint $table) {
            $table->dropColumn(['progress', 'failure_reason']);
        });
    }
};
